Webhooks
Create a webhook
POST
/
webhooks
Create a webhook
curl --request POST \
--url https://{domain}/api/site/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'User-Agent: <api-key>' \
--data '
{
"target": "https://your-target.com/some-path",
"events": [
"order_created",
"order_updated"
],
"secret": "your-secret"
}
'import requests
url = "https://{domain}/api/site/webhooks"
payload = {
"target": "https://your-target.com/some-path",
"events": ["order_created", "order_updated"],
"secret": "your-secret"
}
headers = {
"Authorization": "Bearer <token>",
"User-Agent": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'User-Agent': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
target: 'https://your-target.com/some-path',
events: ['order_created', 'order_updated'],
secret: 'your-secret'
})
};
fetch('https://{domain}/api/site/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "rh_24488493954",
"target": "https://your-target.com/some-path",
"secret": "your-secret",
"events": [
"order_created",
"order_updated"
]
}Authorizations
Pass your API key as: Authorization: Bearer <API KEY>.
Client identifier sent with requests from the documentation playground.
Body
application/json
Example:
"https://your-target.com/some-path"
Available options:
order_created, order_updated, product_created, product_updated, form_submitted, contact_updated, booking_created Example:
["order_created", "order_updated"]
Example:
"your-secret"
Response
200 - application/json
The created webhook.
Unique identifier.
Example:
"rh_24488493954"
Your destination URL to push notifications to.
Example:
"https://your-target.com/some-path"
Use the secret to verify that events posted to your URL were sent by the website.
Example:
"your-secret"
Available options:
order_created, order_updated, product_created, product_updated, form_submitted, contact_updated, booking_created Example:
["order_created", "order_updated"]
Last modified on September 2, 2026
Was this page helpful?
⌘I
Create a webhook

